# Odstranitev programskega paketa

### Windows

Odstranitev je izziv, ker `msiexec /x` zahteva, bodisi točen GUID verzije, ki je nameščena, bodisi originalno datoteko MSI paketa, ki je nameščen. Glede na to, da gre za čiščenje in načeloma ne vemo, katera verzija je nameščena, če sploh, predlagamo spodnji ukaz (PowerShell s skrbniškimi pravicami):

```powershell
Get-WmiObject -Class Win32_Product -Filter "Name LIKE '%Besana%' AND Vendor LIKE '%Amebis%'" | ForEach-Object {$_.Uninstall()}
```

To odstrani vse pakete, ki imajo v imenu "Besana" in imenu avtorja "Amebis".

Licenca, nastavitev Amebisovega posrednika licenc in uporabniške nastavitve ostanejo prisotne v registru tudi po odstranitvi.

### macOS

_V pripravi_

# Odstranitev licence in drugih nastavitev vezanih na računalnik

### Windows

Programski paket vse svoje nastavitve, ki veljajo za posamezen računalnik, hrani v registru `HKEY_LOCAL_MACHINE\\SOFTWARE\\Amebis\\Besana` in `HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Services\\BesStr\\Parametri`. Odstranimo jih lahko z ukazom (ukazna vrstica s skrbniškimi pravicami):

```bat
reg delete "HKLM\SOFTWARE\Amebis\Besana" /f /reg:64
reg delete "HKLM\SYSTEM\CurrentControlSet\Services\BesStr\Parametri" /f /reg:64
```

### macOS

Programski paket vse svoje nastavitve, ki veljajo za posamezen računalnik, hrani v `/Library/Application Support/Amebis/Besana`. Odstranimo jih lahko z ukazom:

```sh
sudo rm -rf /Library/Application\ Support/Amebis/Besana
```
